Skip to content

Save Payment Method

POST
/api/onboard/payment-method
curl --request POST \
--url https://example.com/api/onboard/payment-method \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "invitationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "Card", "brand": "example", "last4": "example", "expiryMonth": 1, "expiryYear": 1, "accountName": "example", "bsb": "example" }'

Stores the simulated tokenisation result. Real PAN / account numbers never reach the API.

object
invitationId
string format: uuid
type
required
string
Allowed values: Card BankAccount
brand
string
nullable <= 20 characters
last4
string
nullable >= 4 characters <= 4 characters
expiryMonth
integer format: int32
nullable >= 1 <= 12
expiryYear
integer format: int32
nullable >= 2024 <= 2100
accountName
string
nullable <= 100 characters
bsb
string
nullable <= 10 characters

No Content

Bad Request

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Conflict

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}